return {
	"olimorris/codecompanion.nvim",
	dependencies = {
		"nvim-lua/plenary.nvim",
		"nvim-treesitter/nvim-treesitter",
	},
	config = function()
		require("codecompanion").setup({
			adapters = {
				deepseek = function()
					return require("codecompanion.adapters").extend("deepseek", {
						env = {
							api_key = "sk-0d84636ee66543faa57f49ab32b2d9d2",
						},
					})
				end,
			},
			strategies = {
				chat = { adapter = "deepseek", },
				inline = { adapter = "deepseek" },
				agent = { adapter = "deepseek" },
			},
		})
	end
}
